stamp_text_enums = custom_target('stamp-text-enums.h',
  input : [
    files(
      'text-enums.h'
    ),
  ],
  output: [ 'stamp-text-enums.h', ],
  command: [
    mkenums_wrap, perl,
    meson.project_source_root(), meson.current_source_dir(),
    meson.current_build_dir(),
    'text-',
    '#include <gio/gio.h>\n'              +
    '#include "libpikabase/pikabase.h"\n',
    '#include "pika-intl.h"'
  ],
  build_by_default: true
)

libapptext_sources = [
  'pikafont.c',
  'pikafontfactory.c',
  'pikatext-compat.c',
  'pikatext-parasite.c',
  'pikatext-vectors.c',
  'pikatext-xlfd.c',
  'pikatext.c',
  'pikatextlayer-transform.c',
  'pikatextlayer-xcf.c',
  'pikatextlayer.c',
  'pikatextlayout-render.c',
  'pikatextlayout.c',
  'pikatextundo.c',

  'text-enums.c',
  stamp_text_enums
]


libapptext = static_library('apptext',
  libapptext_sources,
  include_directories: [ rootInclude, rootAppInclude, ],
  c_args: '-DG_LOG_DOMAIN="Pika-Text"',
  dependencies: [
    gegl, gdk_pixbuf, harfbuzz, pangocairo, pangoft2,
  ],
)
